import os
import random
from audiocore import WaveFile


def zufaellige_audiodatei(ordner):
    """Gibt eine zufällige Wave Datei zurück."""
    wave_dateien = list()
    for datei in os.listdir(ordner):
        if datei.endswith(".wav"): # Nur Wave Dateien
            wave_dateien.append(f"{ordner}/{datei}")
    
    if not wave_dateien:
        raise OSError(f"Keine .wav-Dateien in {ordner} gefunden! :-(")    
    
    zufaellige_datei = random.choice(wave_dateien)
    print(zufaellige_datei)
    wav = open(zufaellige_datei, "rb")
    return WaveFile(wav)
